Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027017
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2014-07-04 13:342014-08-08 18:54
ReportercaristuView Statuspublic 
Assigned ToAugustoMauch 
PriorityurgentResolutionfixedFixed in Version3.0PR14Q4
StatusclosedFix in branchFixed in SCM revision4f449d9a56f7
ProjectionnoneETAnoneTarget Version3.0PR14Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Toshankarb
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027017: The callout of the combos on manual forms does not work if you have opened previously other form

DescriptionThe callout of the combos on the form does not work if you have opened previously another form, for example, the enterprise module managemente window
Steps To ReproducePrepare the data:
- Create an Attribute, and an Attribute Value.
- Create an Attribute Set, and an Assigned Attribute
- Create a new Product:
  * Select in Attribute Set the Attribute Set you just created
  * Select in Attribute Set Value an Attribute Set Value
  * Select 'Default' in the User Attribute Set Value as field.
  * Create a new header in the Physical Inventory window
  * Create a new line, selecting the product you just created and entering a positive quantity count.
  * Execute the Process Inventory Count Process.

Test the issue:
-Open the Product movements report
-Open the product selector, check the With Stock flag and search for the product you just created.
-See that after select the attribute combo is filled.
-close the form
-Open the enterprise module management window.
-Open again the Product movements report
-Select again the product you just created.
*The callout does not work so the combo of attributes does not have values
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00255583.0PR14Q2 closedAugustoMauch The callout of the combos on manual forms does not work if you have opened previously other form 

-  Notes
(0069068)
hgbot (developer)
2014-08-04 14:11

Repository: erp/devel/pi
Changeset: 4f449d9a56f7162acc31ae0e1e64af683b6a26fb
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Mon Aug 04 14:10:59 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/4f449d9a56f7162acc31ae0e1e64af683b6a26fb [^]

Fixes issue 27017: Callouts of combos on manual forms does not work properly

The original problem was that the response of the callout was not being applied to the proper iFrame. To solve this, the activeFrame attribute was created to know which frame is active at any given time, in order to apply the callout response in that frame.

The problem of this issue is that the activeFrame was not being stored properly when opening a new manual window.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/classic/ob-classic-window.js
---
(0069095)
shankarb (developer)
2014-08-06 06:42

Code reviewed and verified in pi changeset ca197a91d631.
(0069259)
hudsonbot (developer)
2014-08-08 18:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-07-04 13:34 caristu New Issue
2014-07-04 13:34 caristu Assigned To => AugustoMauch
2014-07-04 13:34 caristu Modules => Core
2014-07-04 13:34 caristu Triggers an Emergency Pack => No
2014-07-04 13:35 caristu Reproducibility have not tried => always
2014-07-04 13:35 caristu version => pi
2014-07-04 13:35 caristu Relationship added related to 0025558
2014-07-04 13:35 caristu Issue Monitored: networkb
2014-07-04 13:37 caristu Target Version => PR14Q4
2014-07-17 09:52 caristu Priority normal => urgent
2014-07-17 09:53 caristu Severity minor => major
2014-08-04 14:01 AugustoMauch Steps to Reproduce Updated View Revisions
2014-08-04 14:11 AugustoMauch Issue Monitored: shankarb
2014-08-04 14:11 AugustoMauch Review Assigned To => shankarb
2014-08-04 14:11 hgbot Checkin
2014-08-04 14:11 hgbot Note Added: 0069068
2014-08-04 14:12 hgbot Status new => resolved
2014-08-04 14:12 hgbot Resolution open => fixed
2014-08-04 14:12 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4f449d9a56f7162acc31ae0e1e64af683b6a26fb [^]
2014-08-06 06:42 shankarb Note Added: 0069095
2014-08-06 06:42 shankarb Status resolved => closed
2014-08-06 06:42 shankarb Fixed in Version => 3.0PR14Q4
2014-08-08 18:54 hudsonbot Checkin
2014-08-08 18:54 hudsonbot Note Added: 0069259


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker